import request,  { restful } from '@/utils/request';

/**
 * 构造 Service
 * @returns
 */
 const [
  getRoleList,
  getRoleDetail,
  saveRole,
  updateRole,
  deleteRole,
 ] = restful('/roles');

 
 const [
  getResourceList,
  getResourceDetail,
  saveResource,
  updateResource,
  deleteResource,
 ] = restful('/resources');


 export {
  getRoleList,
  getRoleDetail,
  saveRole,
  updateRole,
  deleteRole,
  
  getResourceList,
  getResourceDetail,
  saveResource,
  updateResource,
  deleteResource,
 }

// 授权菜单
 export const authRoleResource = (roleId, data) => request.post(`/role/${roleId}/Resources`, data);
