import { useState, useCallback } from "react";

export default function useSystem() {
  // 主题
  const [theme, updateTheme] = useState('dark');

  // 其他配置
  const [app, setApp] = useState({
    fullName: '海安军供保障信息管理系统',
    shorName: '海安军供',
    company: '南京云致'
  });

  return {
    theme,
    updateTheme,
    app,
    hashRoute: true,
  }
}
